Sync with portage [Tue Jan 17 07:52:33 MSK 2012].

mhiretskiy
root 12 years ago
parent 8597283b89
commit e32ec9358e

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/conky/conky-1.8.1-r5.ebuild,v 1.1 2011/11/16 19:50:34 billie Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/conky/conky-1.8.1-r6.ebuild,v 1.1 2012/01/16 20:04:45 billie Exp $
EAPI=2
@ -59,7 +59,8 @@ src_prepare() {
"${FILESDIR}/${P}-acpitemp.patch" \
"${FILESDIR}/${P}-curl-headers.patch" \
"${FILESDIR}/${P}-maxinterfaces.patch" \
"${FILESDIR}/${P}-utf8-scroll.patch"
"${FILESDIR}/${P}-utf8-scroll.patch" \
"${FILESDIR}/${P}-battery-time.patch"
eautoreconf
}

@ -0,0 +1,11 @@
--- a/src/linux.c.old 2012-01-12 08:18:58.525502553 -0500
+++ b/src/linux.c 2012-01-12 08:19:29.786069277 -0500
@@ -1671,6 +1671,8 @@ void get_battery_stuff(char *buffer, uns
the tradition! */
else if (strncmp(buf, "POWER_SUPPLY_CURRENT_NOW=", 25) == 0)
sscanf(buf, "POWER_SUPPLY_CURRENT_NOW=%d", &present_rate);
+ else if (strncmp(buf, "POWER_SUPPLY_POWER_NOW=", 23) == 0)
+ sscanf(buf, "POWER_SUPPLY_POWER_NOW=%d", &present_rate);
else if (strncmp(buf, "POWER_SUPPLY_ENERGY_NOW=", 24) == 0)
sscanf(buf, "POWER_SUPPLY_ENERGY_NOW=%d", &remaining_capacity);
else if (strncmp(buf, "POWER_SUPPLY_ENERGY_FULL=", 25) == 0)

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/libarchive/libarchive-2.8.5.ebuild,v 1.4 2012/01/15 14:30:19 klausman Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/libarchive/libarchive-2.8.5.ebuild,v 1.5 2012/01/16 20:33:26 halcy0n Exp $
EAPI="2"
@ -13,7 +13,7 @@ SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ~mips ppc ppc64 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE="static static-libs acl xattr kernel_linux +bzip2 +lzma +zlib expat"
COMPRESS_LIBS_DEPEND="lzma? ( app-arch/xz-utils )

@ -1,2 +1 @@
DIST par2cmdline-0.4.tar.gz 239312 RMD160 e98dc84fa7a4304b8d71c1d373fdce0bca1e6290 SHA1 2fcdc932b5d7b4b1c68c4a4ca855ca913d464d2f SHA256 9e32b7dbcf7bca8249f98824757d4868714156fe2276516504cd26f736e9f677
DIST par2cmdline-0.5.tar.xz 197820 RMD160 238f2963103b52af2221d93769299dbb895add49 SHA1 cc5130190754363a053ac5f3c0b230e6bc4e8ddf SHA256 44a54d81959d802af767e0c530a89c448fffd98921245e27652e5a0faff366aa

@ -1,7 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/par2cmdline/par2cmdline-0.4-r2.ebuild,v 1.7 2010/01/15 01:30:02 abcd Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/par2cmdline/par2cmdline-0.4-r2.ebuild,v 1.8 2012/01/16 16:01:42 ssuominen Exp $
EAPI=4
inherit eutils
DESCRIPTION="A PAR-2.0 file verification and repair tool"
@ -13,23 +14,20 @@ SLOT="0"
KEYWORDS="amd64 ~hppa ppc ~ppc64 x86 ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
DEPEND=""
DOCS="AUTHORS ChangeLog README"
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-wildcard-fix.patch
epatch "${FILESDIR}"/${P}-offset.patch
epatch "${FILESDIR}"/${P}-letype.patch
epatch "${FILESDIR}"/${P}-gcc4.patch
src_prepare() {
epatch \
"${FILESDIR}"/${P}-wildcard-fix.patch \
"${FILESDIR}"/${P}-offset.patch \
"${FILESDIR}"/${P}-letype.patch \
"${FILESDIR}"/${P}-gcc4.patch
}
src_install() {
make install DESTDIR="${D}" || die "make install failed"
default
# Replace the hardlinks with symlinks
dosym par2 /usr/bin/par2create
dosym par2 /usr/bin/par2repair
dosym par2 /usr/bin/par2verify
dodoc AUTHORS ChangeLog README
}

@ -1,24 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/par2cmdline/par2cmdline-0.5.ebuild,v 1.1 2012/01/15 16:39:01 ssuominen Exp $
EAPI=4
inherit autotools eutils
DESCRIPTION="A PAR-2.0 file verification and repair tool"
HOMEPAGE="http://parchive.sourceforge.net/ http://github.com/eMPee584/par2cmdline"
SRC_URI="mirror://github/eMPee584/${PN}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
DOCS=( AUTHORS ChangeLog README )
S=${WORKDIR}
src_prepare() {
epatch "${FILESDIR}"/${PN}-0.4-offset.patch
eautoreconf
}

@ -0,0 +1 @@
DIST nwipe-0.06.tar.gz 169037 RMD160 2f78cc790644663492d6d3d71a338c6bea353e07 SHA1 cc36498477a7251dc97164c7729d208a80ae3fd9 SHA256 45b1836ec16abf8c4c6561162e2464178e8b6c8c84e2774ccf3c36ddede20cf9

@ -0,0 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>crypto</herd>
<maintainer>
<email>ssuominen@gentoo.org</email>
<name>Samuli Suominen</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/nwipe/nwipe-0.06.ebuild,v 1.1 2012/01/16 16:29:37 ssuominen Exp $
EAPI=4
DESCRIPTION="Securely erase disks using a variety of recognized methods"
HOMEPAGE="http://sourceforge.net/projects/nwipe/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="sys-block/parted
sys-libs/ncurses"
DEPEND="${RDEPEND}"
DOCS="README"

@ -1,3 +1 @@
DIST libvirt-glib-0.0.1.tar.gz 461603 RMD160 e19557f9b93c7c402cf7646ccb6eaa7c58e3f85f SHA1 d3853fd357ff1f0b28da16db6ec6247ab4ad1567 SHA256 58ad71082579b6fc0b42da0c65a8fe1e7e6ce3dcc1b0a92549616aa1d88fbb2a
DIST libvirt-glib-0.0.3.tar.gz 519628 RMD160 94e6a1e6d461d74e0914f39541ddbb8c2e141205 SHA1 d7045845816f905d491d45d92d1ece4a2251f9c4 SHA256 d4f763543a598a96abd4264625803a0596f845351a14e16a32480b9cf864caf2
DIST libvirt-glib-0.0.4.tar.gz 530282 RMD160 c5096405f2228029c5ddd56ea3b85501a4b93fe5 SHA1 fe75b70e47957d4e2810bfb271e4d16537211882 SHA256 28e9785a5329ef9ebd97c70ce018d3810a79a495a7a2ae52fe6d1bbdeeb5b7c3

@ -1,41 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/libvirt-glib/libvirt-glib-0.0.1.ebuild,v 1.3 2011/11/18 19:17:54 tetromino Exp $
EAPI="4"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit gnome2 python
DESCRIPTION="GLib and GObject mappings for libvirt"
HOMEPAGE="http://libvirt.org/git/?p=libvirt-glib.git"
SRC_URI="ftp://libvirt.org/libvirt/glib/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc +introspection python +vala"
REQUIRED_USE="vala? ( introspection )"
RDEPEND="
dev-libs/libxml2:2
>=app-emulation/libvirt-0.9.4
>=dev-libs/glib-2.10:2
introspection? ( >=dev-libs/gobject-introspection-0.10.8 )"
DEPEND="${RDEPEND}
dev-util/pkgconfig
doc? ( >=dev-util/gtk-doc-1.10 )
vala? ( dev-lang/vala:0.14 )"
pkg_setup() {
DOCS="AUTHORS ChangeLog NEWS README"
G2CONF="--disable-test-coverage
VAPIGEN=$(type -P vapigen-0.14)
$(use_enable introspection)
$(use_enable vala)
$(use_with python)"
python_set_active_version 2
python_pkg_setup
}

@ -1,41 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/libvirt-glib/libvirt-glib-0.0.3.ebuild,v 1.1 2011/12/19 15:24:47 nirbheek Exp $
EAPI="4"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit gnome2 python
DESCRIPTION="GLib and GObject mappings for libvirt"
HOMEPAGE="http://libvirt.org/git/?p=libvirt-glib.git"
SRC_URI="ftp://libvirt.org/libvirt/glib/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc +introspection python +vala"
REQUIRED_USE="vala? ( introspection )"
RDEPEND="
dev-libs/libxml2:2
>=app-emulation/libvirt-0.9.7
>=dev-libs/glib-2.10:2
introspection? ( >=dev-libs/gobject-introspection-0.10.8 )"
DEPEND="${RDEPEND}
dev-util/pkgconfig
doc? ( >=dev-util/gtk-doc-1.10 )
vala? ( dev-lang/vala:0.14 )"
pkg_setup() {
DOCS="AUTHORS ChangeLog NEWS README"
G2CONF="--disable-test-coverage
VAPIGEN=$(type -P vapigen-0.14)
$(use_enable introspection)
$(use_enable vala)
$(use_with python)"
python_set_active_version 2
python_pkg_setup
}

@ -1,3 +1,4 @@
DIST virt-manager-0.8.7.tar.gz 1879504 RMD160 e80475270e54018b89e5a1a58c467478c03c71b5 SHA1 fe1565b9836b23cefb37d60b403be5b302e83472 SHA256 1907ec0e5479d6af8b4882fc068b74fa8c04f8d36ab0a503b405a937fe765dd5
DIST virt-manager-0.9.0-bp-1.tar.bz2 707 RMD160 e4614dd36bd1a334080dcb712d731665944ef705 SHA1 dc007460bb721eb385c02de671045820926626b6 SHA256 823ae2aea4515e47db9791e3edda78530223a48ba2fa0bdb33a328e85e64f284
DIST virt-manager-0.9.0-bp-2.tar.bz2 18472 RMD160 69525e49850409d67bc40c3cf67a8c1d7e9c7d7a SHA1 c0d223ea5d2359490467b2131ffc78d1cbc8ccca SHA256 83d9580bec5a0b40d0231944e760899b24b5766fddc3fe350e91ecc9f727bd0a
DIST virt-manager-0.9.0.tar.gz 1951176 RMD160 f3af53591babe3d95c4017d19a292fd6c1bfee97 SHA1 e937b9aedc7c4ebc84fbfa48c622d1918cf7a335 SHA256 db0de808efa5d6bae0bdc2db796e58ea79f9e1db20d9a5a5977b28b4b85d4321

@ -0,0 +1,102 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-manager/virt-manager-0.9.0-r2.ebuild,v 1.1 2012/01/16 21:20:12 cardoe Exp $
BACKPORTS=2
EAPI=2
if [[ ${PV} = *9999* ]]; then
EGIT_REPO_URI="http://git.fedorahosted.org/git/virt-manager.git"
GIT_ECLASS="git-2 autotools"
fi
PYTHON_DEPEND="2:2.4"
# Stop gnome2.eclass from doing stuff on USE=debug
GCONF_DEBUG="no"
inherit eutils gnome2 python ${GIT_ECLASS}
if [[ ${PV} = *9999* ]]; then
SRC_URI=""
KEYWORDS=""
VIRTINSTDEP=">=app-emulation/virtinst-9999"
else
SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz
${BACKPORTS:+mirror://gentoo/${P}-bp-${BACKPORTS}.tar.bz2
http://dev.gentoo.org/~cardoe/distfiles/${P}-bp-${BACKPORTS}.tar.bz2}"
KEYWORDS="~amd64 ~x86"
VIRTINSTDEP=">=app-emulation/virtinst-0.600.0"
fi
DESCRIPTION="A graphical tool for administering virtual machines (KVM/Xen)"
HOMEPAGE="http://virt-manager.org/"
LICENSE="GPL-2"
SLOT="0"
IUSE="gnome-keyring policykit sasl spice"
RDEPEND=">=dev-python/pygtk-1.99.12
>=app-emulation/libvirt-0.7.0[python,sasl?]
>=dev-libs/libxml2-2.6.23[python]
${VIRTINSTDEP}
>=gnome-base/librsvg-2
>=x11-libs/vte-0.12.2:0[python]
>=net-libs/gtk-vnc-0.3.8[python,sasl?]
>=dev-python/dbus-python-0.61
>=dev-python/gconf-python-1.99.11
dev-python/urlgrabber
gnome-keyring? ( dev-python/gnome-keyring-python )
policykit? ( sys-auth/polkit )
spice? ( >=net-misc/spice-gtk-0.6[python,sasl?,-gtk3] )"
# tui? ( >=dev-python/new_syrup-0.1.2 )"
DEPEND="${RDEPEND}
app-text/rarian
dev-util/intltool"
pkg_setup() {
G2CONF="--without-tui"
}
src_prepare() {
sed -e "s/python/python2/" -i src/virt-manager.in || \
die "python2 update failed"
[[ -n ${BACKPORTS} ]] && \
EPATCH_FORCE=yes EPATCH_SUFFIX="patch" EPATCH_SOURCE="${S}/patches" \
epatch
if [[ ${PV} = *9999* ]]; then
# virt-manager's autogen.sh touches this and eautoreconf fails
# unless we do this
touch config.rpath
rm -rf config.status
intltoolize --automake --copy --force
perl -i -p -e 's,^DATADIRNAME.*$,DATADIRNAME = share,' po/Makefile.in.in
perl -i -p -e 's,^GETTEXT_PACKAGE.*$,GETTEXT_PACKAGE = virt-manager,' \
po/Makefile.in.in
eautoreconf
fi
gnome2_src_prepare
}
src_install() {
gnome2_src_install
insinto /usr/share/virt-manager/pixmaps/
doins "${S}"/pixmaps/*.png
doins "${S}"/pixmaps/*.svg
insinto /usr/share/virt-manager/pixmaps/hicolor/16x16/actions/
doins "${S}"/pixmaps/hicolor/16x16/actions/*.png
insinto /usr/share/virt-manager/pixmaps/hicolor/22x22/actions/
doins "${S}"/pixmaps/hicolor/22x22/actions/*.png
insinto /usr/share/virt-manager/pixmaps/hicolor/24x24/actions/
doins "${S}"/pixmaps/hicolor/24x24/actions/*.png
insinto /usr/share/virt-manager/pixmaps/hicolor/32x32/actions/
doins "${S}"/pixmaps/hicolor/32x32/actions/*.png
}

@ -1,40 +0,0 @@
Add support for Linux 3.0 kernels
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
diff -Nuar --exclude '*~' laptop-mode-tools_1.55.orig//usr/sbin/laptop_mode laptop-mode-tools_1.55/usr/sbin/laptop_mode
--- laptop-mode-tools_1.55.orig//usr/sbin/laptop_mode 2010-05-26 08:54:44.000000000 -0700
+++ laptop-mode-tools_1.55/usr/sbin/laptop_mode 2011-07-12 13:29:38.000000000 -0700
@@ -496,6 +496,7 @@
case "$KLEVEL" in
"2.4" ) ;;
"2.6" ) ;;
+ "3.0" ) ;;
*)
log "ERR" "Unhandled kernel version: $KLEVEL ('uname -r' = '$(uname -r)')" >&2
exit 1
diff -Nuar --exclude '*~' laptop-mode-tools_1.55.orig//usr/share/laptop-mode-tools/modules/laptop-mode laptop-mode-tools_1.55/usr/share/laptop-mode-tools/modules/laptop-mode
--- laptop-mode-tools_1.55.orig//usr/share/laptop-mode-tools/modules/laptop-mode 2010-05-26 08:54:44.000000000 -0700
+++ laptop-mode-tools_1.55/usr/share/laptop-mode-tools/modules/laptop-mode 2011-07-12 13:29:20.000000000 -0700
@@ -193,8 +193,8 @@
set_sysctl /proc/sys/vm/laptop_mode 1
set_sysctl /proc/sys/vm/bdflush "30 500 0 0 $AGE $AGE 60 20 0"
;;
- "2.6")
- log "VERBOSE" "Adjusting 2.6 kernel parameters to enable laptop mode."
+ "2.6"|"3.0")
+ log "VERBOSE" "Adjusting $KLEVEL kernel parameters to enable laptop mode."
set_sysctl /proc/sys/vm/laptop_mode "$LM_SECONDS_BEFORE_SYNC"
set_sysctl /proc/sys/vm/dirty_writeback_centisecs "$AGE"
set_sysctl /proc/sys/vm/dirty_expire_centisecs "$AGE"
@@ -321,8 +321,8 @@
log "VERBOSE" "Adjusting 2.4 kernel parameters to disable laptop mode."
set_sysctl /proc/sys/vm/bdflush "30 500 0 0 $U_AGE $B_AGE 60 20 0"
;;
- "2.6")
- log "VERBOSE" "Adjusting 2.6 kernel parameters to disable laptop mode."
+ "2.6"|"3.0")
+ log "VERBOSE" "Adjusting $KLEVEL kernel parameters to disable laptop mode."
set_sysctl /proc/sys/vm/dirty_writeback_centisecs "$U_AGE"
set_sysctl /proc/sys/vm/dirty_expire_centisecs "$B_AGE"
set_sysctl /proc/sys/vm/dirty_ratio "$NOLM_DIRTY_RATIO"

@ -1,20 +0,0 @@
Index: laptop-mode-tools_1.60/install.sh
===================================================================
--- laptop-mode-tools_1.60.orig/install.sh
+++ laptop-mode-tools_1.60/install.sh
@@ -180,15 +180,6 @@ if ( ! $INSTALL -m 744 man/* "$DESTDIR/$
fi
-# Install pm-utils hook only if pm-utils config dir is present, or force the
-# install if we have a DESTDIR.
-if [ -n "$DESTDIR" -o -d "$DESTDIR/usr/lib/pm-utils/sleep.d" ] ; then
- if ( ! $INSTALL -D -m 755 usr/lib/pm-utils/sleep.d/01laptop-mode "$DESTDIR/usr/lib/pm-utils/sleep.d/01laptop-mode" ) ; then
- echo "$0: Failed to install 01-laptop-mode into /usr/lib/pm-utils/sleep.d. Installation failed."
- exit 36
- fi
-fi
-
if [ -f "$DESTDIR/usr/lib/pm-utils/sleep.d/99laptop-mode" ]; then
rm -f $DESTDIR/usr/lib/pm-utils/sleep.d/99laptop-mode;
fi

@ -1,3 +0,0 @@
#!/bin/sh
/usr/sbin/laptop_mode auto

@ -1,70 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/laptop-mode-tools/laptop-mode-tools-1.55-r4.ebuild,v 1.1 2011/12/31 21:25:29 idl0r Exp $
EAPI=2
inherit eutils
MY_P=${PN}_${PV}
DESCRIPTION="Linux kernel laptop_mode user-space utilities"
HOMEPAGE="http://www.samwel.tk/laptop_mode/"
SRC_URI="http://www.samwel.tk/laptop_mode/tools/downloads/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="acpi apm bluetooth scsi"
RDEPEND="sys-apps/ethtool
acpi? ( sys-power/acpid )
apm? ( sys-apps/apmd )
bluetooth? ( net-wireless/bluez )
scsi? ( sys-apps/sdparm )
sys-apps/hdparm"
DEPEND=""
S=${WORKDIR}/${MY_P}
src_prepare() {
# Patching to avoid !sys-power/pm-utils depend wrt #327443
epatch "${FILESDIR}"/${P}-pm-utils-1.4.0.patch
# Add support for Linux3
epatch "${FILESDIR}"/${P}-linux3-support.patch
}
src_compile() { :; }
src_install() {
DESTDIR="${D}" \
INIT_D="none" \
MAN_D="/usr/share/man" \
ACPI="$(use acpi && echo force || echo disabled)" \
PMU="$(false && echo force || echo disabled)" \
APM="$(use apm && echo force || echo disabled)" \
./install.sh || die
dodoc Documentation/*.txt README || die
newinitd "${FILESDIR}"/laptop_mode.init-1.4 laptop_mode
# Commented out to avoid !sys-power/pm-utils depend wrt #327443
# exeinto /etc/pm/power.d
# newexe "${FILESDIR}"/laptop_mode_tools.pmutils laptop_mode_tools
keepdir /var/run/laptop-mode-tools
}
pkg_postinst() {
if ! use acpi && ! use apm; then
ewarn
ewarn "Without USE=\"acpi\" or USE=\"apm\" ${PN} can not"
ewarn "automatically disable laptop_mode on low battery."
ewarn
ewarn "This means you can lose up to 10 minutes of work if running"
ewarn "out of battery while laptop_mode is enabled."
ewarn
ewarn "Please see /usr/share/doc/${PF}/laptop-mode.txt.gz for further"
ewarn "information."
ewarn
fi
}

@ -1,68 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/laptop-mode-tools/laptop-mode-tools-1.55-r5.ebuild,v 1.1 2012/01/01 14:44:49 hwoarang Exp $
EAPI=2
inherit eutils
MY_P=${PN}_${PV}
DESCRIPTION="Linux kernel laptop_mode user-space utilities"
HOMEPAGE="http://www.samwel.tk/laptop_mode/"
SRC_URI="http://www.samwel.tk/laptop_mode/tools/downloads/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="acpi apm bluetooth scsi"
RDEPEND="sys-apps/ethtool
acpi? ( sys-power/acpid )
apm? ( sys-apps/apmd )
bluetooth? ( net-wireless/bluez )
scsi? ( sys-apps/sdparm )
sys-apps/hdparm"
DEPEND=""
S=${WORKDIR}/${MY_P}
src_prepare() {
# Patching to avoid !sys-power/pm-utils depend wrt #327443
epatch "${FILESDIR}"/${P}-pm-utils-1.4.0.patch
# Add support for Linux3
epatch "${FILESDIR}"/${P}-linux3-support.patch
}
src_compile() { :; }
src_install() {
DESTDIR="${D}" \
INIT_D="none" \
MAN_D="/usr/share/man" \
ACPI="$(use acpi && echo force || echo disabled)" \
PMU="$(false && echo force || echo disabled)" \
APM="$(use apm && echo force || echo disabled)" \
./install.sh || die
dodoc Documentation/*.txt README || die
newinitd "${FILESDIR}"/laptop_mode.init-1.4 laptop_mode
# Commented out to avoid !sys-power/pm-utils depend wrt #327443
# exeinto /etc/pm/power.d
# newexe "${FILESDIR}"/laptop_mode_tools.pmutils laptop_mode_tools
}
pkg_postinst() {
if ! use acpi && ! use apm; then
ewarn
ewarn "Without USE=\"acpi\" or USE=\"apm\" ${PN} can not"
ewarn "automatically disable laptop_mode on low battery."
ewarn
ewarn "This means you can lose up to 10 minutes of work if running"
ewarn "out of battery while laptop_mode is enabled."
ewarn
ewarn "Please see /usr/share/doc/${PF}/laptop-mode.txt.gz for further"
ewarn "information."
ewarn
fi
}

@ -1,9 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/laptop-mode-tools/laptop-mode-tools-1.60.ebuild,v 1.1 2012/01/01 16:04:34 hwoarang Exp $
# $Header: /var/cvsroot/gentoo-x86/app-laptop/laptop-mode-tools/laptop-mode-tools-1.60-r1.ebuild,v 1.2 2012/01/16 19:23:12 ssuominen Exp $
EAPI=2
inherit eutils
EAPI=4
MY_P=${PN}_${PV}
@ -17,18 +16,23 @@ KEYWORDS="~amd64 ~ppc ~x86"
IUSE="acpi apm bluetooth scsi"
RDEPEND="sys-apps/ethtool
sys-apps/hdparm
acpi? ( sys-power/acpid )
apm? ( sys-apps/apmd )
bluetooth? ( net-wireless/bluez )
scsi? ( sys-apps/sdparm )
sys-apps/hdparm"
scsi? ( sys-apps/sdparm )"
DEPEND=""
S=${WORKDIR}/${MY_P}
src_prepare() {
# Patching to avoid !sys-power/pm-utils depend wrt #327443
epatch "${FILESDIR}"/${P}-pm-utils-1.4.0.patch
# Install 99-laptop-mode.rules to rules.d directory in /lib instead of /etc
sed -i -e '/udev/s:/etc:/lib:' install.sh || die
# This should avoid conflict with pm-powersave wrt #327443 and #396703
cat <<-EOF > "${T}"/${PN}
HOOK_BLACKLIST="00powersave"
EOF
}
src_compile() { :; }
@ -42,16 +46,16 @@ src_install() {
APM="$(use apm && echo force || echo disabled)" \
./install.sh || die
dodoc Documentation/*.txt README || die
dodoc Documentation/*.txt README
newinitd "${FILESDIR}"/laptop_mode.init-1.4 laptop_mode
# Commented out to avoid !sys-power/pm-utils depend wrt #327443
# exeinto /etc/pm/power.d
# newexe "${FILESDIR}"/laptop_mode_tools.pmutils laptop_mode_tools
# See src_prepare()
insinto /etc/pm/config.d
doins "${T}"/${PN}
}
pkg_postinst() {
if use acpi || use apm; then
if use acpi || use apm; then
if use acpi; then
daemon_name="acpid"
elif use apm; then
@ -73,7 +77,7 @@ pkg_postinst() {
ewarn "This means you can lose up to 10 minutes of work if running"
ewarn "out of battery while laptop_mode is enabled."
ewarn
ewarn "Please see /usr/share/doc/${PF}/laptop-mode.txt.gz for further"
ewarn "Please see laptop-mode.txt in /usr/share/doc/${PF} for further"
ewarn "information."
ewarn
fi

@ -1,12 +1,12 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/strigi/strigi-0.7.7.ebuild,v 1.4 2012/01/10 20:34:27 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/strigi/strigi-0.7.7.ebuild,v 1.5 2012/01/16 20:55:08 ago Exp $
EAPI=4
if [[ "${PV}" != "9999" ]]; then
SRC_URI="http://dev.gentoo.org/~johu/distfiles/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~ia64 ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
else
EGIT_REPO_URI="git://anongit.kde.org/strigi"
GIT_ECLASS="git-2"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/abiword/abiword-2.8.6-r2.ebuild,v 1.1 2011/12/04 20:03:03 pacho Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/abiword/abiword-2.8.6-r2.ebuild,v 1.2 2012/01/16 15:38:12 pacho Exp $
EAPI="4"
GCONF_DEBUG="yes"
@ -17,7 +17,10 @@ SRC_URI="http://www.abisource.com/downloads/${PN}/${PV}/source/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="2"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="collab cups gnome grammar latex math ots openxml plugins readline spell wordperfect wmf thesaurus" # svg
IUSE="collab cups gnome grammar latex math ots openxml +plugins readline spell wordperfect wmf thesaurus" # svg
# You need 'plugins' enabled if want to enable the extra plugins
REQUIRED_USE="!plugins? ( !collab !grammar !latex !math !openxml !ots !readline !thesaurus !wordperfect !wmf )"
# libgsf raised to make sure it provides gio backend
# not enabling telepathy backend for collab, it depends on libempathy-gtk which

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/akonadi-server/akonadi-server-1.6.2-r1.ebuild,v 1.3 2012/01/10 20:36:57 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/akonadi-server/akonadi-server-1.6.2-r1.ebuild,v 1.4 2012/01/16 20:56:01 ago Exp $
EAPI=4
@ -11,7 +11,7 @@ HOMEPAGE="http://pim.kde.org/akonadi"
SRC_URI="mirror://kde/stable/${PN/-server/}/src/${P/-server/}.tar.bz2"
LICENSE="LGPL-2.1"
KEYWORDS="~amd64 ~arm ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
SLOT="0"
IUSE="mysql postgres +sqlite test"

@ -1,6 +1,4 @@
DIST portpeek-1.9.70.tar.gz 8634 RMD160 3da26cddb24b4f6d7eb99d81e6ccef49b48d2224 SHA1 c0c4f49a8cc865313e842d1775d6dd74c21c25c8 SHA256 21a6edab38ea5c3cba99b27856f5f0918154c5d5f93286618c213f5385e32e2b
DIST portpeek-1.9.74.tar.gz 9822 RMD160 9496bd086c7aa4cd1afcf6dc7371fc99e6d42f01 SHA1 6e7e7ea684355a8225e9ed123c22a68bfbcaefbd SHA256 e41474e8160ba5a4680aafadd1509b0c88f43b96e126519dbbc577992ff3da03
DIST portpeek-1.9.83.tar.gz 10535 RMD160 b9637e5cd4b8bb2237773227f2d5680af63cfc4c SHA1 541fe4a9f0c26348dc6121438c4f8860223b50a1 SHA256 882703c3b4646eb8f15d34af2d87d7e80ce14b8b15f47706760a84fb1f76cc02
DIST portpeek-2.0.15.tar.gz 10326 RMD160 40728e97b8dd7401d8f5b362ae0f3e9c411438a2 SHA1 6a621c575583eec485cc805c6336045a73cb2509 SHA256 475f5f75e2cf33b37b03d281d098c7cb43d22fc2d235752db001bf522bb4733c
DIST portpeek-2.0.16.tar.gz 10520 RMD160 5c5f3752bc6ea4152913e4964de5d1764834207d SHA1 5d66b44590196b972d3b9b4a84c26141950c77e6 SHA256 d3958f4e0b9c094a6105a98ba27195b893719975835d860f8afd77bd8d6ca9f0
DIST portpeek-2.0.17.tar.gz 10549 RMD160 9c29ac2e16408d007694efb63a9135a3b72b670b SHA1 64f402b8e3a847f09aacd04b47acbe08b5cefe5a SHA256 d060fabfc54fcb43cea508419d2e7f6b8c629914a9d97aaa5d850350c0f06ac4

@ -1,34 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/portpeek/portpeek-2.0.15.ebuild,v 1.1 2011/12/16 18:02:04 mpagano Exp $
EAPI="2"
PYTHON_DEPEND="3"
inherit eutils python
DESCRIPTION="A helper program for maintaining the package.keyword and package.unmask files"
HOMEPAGE="http://www.mpagano.com/blog/?page_id=3"
SRC_URI="http://www.mpagano.com/downloads/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE=""
DEPEND=""
RDEPEND=">=app-portage/gentoolkit-0.3.0.4
>=sys-apps/portage-2.1.10.11"
pkg_setup() {
python_set_active_version 3
}
src_prepare() {
python_convert_shebangs 3 portpeek
}
src_install() {
dobin ${PN} || die "dobin failed"
doman *.[0-9]
}

@ -1,34 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/portpeek/portpeek-2.0.16.ebuild,v 1.1 2011/12/20 15:18:08 mpagano Exp $
EAPI="2"
PYTHON_DEPEND="3"
inherit eutils python
DESCRIPTION="A helper program for maintaining the package.keyword and package.unmask files"
HOMEPAGE="http://www.mpagano.com/blog/?page_id=3"
SRC_URI="http://www.mpagano.com/downloads/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~sparc ~x86 ~x86-fbsd"
IUSE=""
DEPEND=""
RDEPEND=">=app-portage/gentoolkit-0.3.0.4
>=sys-apps/portage-2.1.10.11"
pkg_setup() {
python_set_active_version 3
}
src_prepare() {
python_convert_shebangs 3 portpeek
}
src_install() {
dobin ${PN} || die "dobin failed"
doman *.[0-9]
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/djview/djview-4.7.ebuild,v 1.6 2011/08/30 16:45:13 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/djview/djview-4.7.ebuild,v 1.7 2012/01/16 18:42:15 klausman Exp $
EAPI="4"
@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/djvu/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 hppa ~ia64 ppc ppc64 x86"
KEYWORDS="alpha amd64 hppa ~ia64 ppc ppc64 x86"
IUSE="debug nsplugin"
RDEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/ronn/ronn-0.7.3-r1.ebuild,v 1.1 2012/01/14 07:08:53 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/ronn/ronn-0.7.3-r1.ebuild,v 1.2 2012/01/16 19:21:53 graaff Exp $
EAPI=2
USE_RUBY="ruby18 ruby19 ree18"
@ -24,6 +24,12 @@ ruby_add_rdepend "
>=dev-ruby/mustache-0.7.0
>=dev-ruby/rdiscount-1.5.8"
all_ruby_prepare() {
# Avoid test failing due to changes in hash handling in ruby 1.8.7:
# https://github.com/rtomayko/ronn/issues/56
sed -i -e '81 s:^:#:' test/test_ronn.rb || die
}
each_ruby_prepare() {
# Make sure that we always use the right interpreter during tests.
sed -i -e "/output/ s:ronn:${RUBY} bin/ronn:" test/test_ronn.rb

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/ronn/ronn-0.7.3.ebuild,v 1.7 2012/01/14 07:08:53 graaff Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/ronn/ronn-0.7.3.ebuild,v 1.8 2012/01/16 19:21:53 graaff Exp $
EAPI=2
USE_RUBY="ruby18 ree18"
@ -24,6 +24,12 @@ ruby_add_rdepend "
>=dev-ruby/mustache-0.7.0
>=dev-ruby/rdiscount-1.5.8"
all_ruby_prepare() {
# Avoid test failing due to changes in hash handling in ruby 1.8.7:
# https://github.com/rtomayko/ronn/issues/56
sed -i -e '81 s:^:#:' test/test_ronn.rb || die
}
each_ruby_prepare() {
# Make sure that we always use the right interpreter during tests.
sed -i -e "/output/ s:ronn:${RUBY} bin/ronn:" test/test_ronn.rb

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.3.9.ebuild,v 1.6 2012/01/14 18:08:52 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.3.9.ebuild,v 1.7 2012/01/16 20:24:49 halcy0n Exp $
EAPI=4
@ -12,7 +12,7 @@ SUHOSIN_VERSION="5.3.9-0.9.10-gentoo"
FPM_VERSION="builtin"
EXPECTED_TEST_FAILURES=""
KEYWORDS="alpha amd64 arm ~hppa ia64 ~ppc ~ppc64 s390 sh sparc x86"
KEYWORDS="alpha amd64 arm ~hppa ia64 ppc ppc64 s390 sh sparc x86"
function php_get_uri ()
{

@ -1,3 +1,2 @@
DIST grantlee-0.1.7.tar.gz 636992 RMD160 36d38a3f7e5cb09980d1fff37dc29d726c295f7b SHA1 02362a6cfeb2865e28397d8a626e95072a3ea247 SHA256 e2a86c272533d713d9d37e7f66b0c4c939795d3a7b1924349e20a8f26874663f
DIST grantlee-0.1.8.tar.gz 669703 RMD160 b8e700726aa4764f267919df2ac06bd549e1615b SHA1 322a98e10ff7be2096274f510f262b038fe63387 SHA256 d7d530419960e90c6253358c5a951ca344c2174752a431b4d81d1fd378927a7c
DIST grantlee-0.1.9.tar.gz 1124725 RMD160 a1a313aadbd833335f9da61a7145a2d5157c7323 SHA1 ca959294d1b45eecd848f6f079731a57832f33e4 SHA256 67f058a65ff3654d1d5f5de8e528332d1dddfd7963ec857de15d83d0acf55984

@ -1,50 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/grantlee/grantlee-0.1.7.ebuild,v 1.1 2011/04/25 11:44:59 tampakrap Exp $
EAPI=3
inherit cmake-utils
DESCRIPTION="C++ string template engine based on the Django template system"
HOMEPAGE="http://www.gitorious.org/grantlee/pages/Home"
SRC_URI="http://www.loegria.net/grantlee/${P}.tar.gz"
LICENSE="LGPL-2.1"
KEYWORDS="~amd64 ~x86"
SLOT="0"
IUSE="debug doc test"
COMMON_DEPEND="
>=x11-libs/qt-core-4.5.0:4
>=x11-libs/qt-gui-4.5.0:4
>=x11-libs/qt-script-4.5.0:4
"
DEPEND="${COMMON_DEPEND}
doc? ( app-doc/doxygen[-nodot] )
"
RDEPEND="${COMMON_DEPEND}"
DOCS=(AUTHORS CHANGELOG GOALS README)
RESTRICT="test"
src_configure() {
mycmakeargs=(
$(cmake-utils_use_build test TESTS)
)
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
use doc && cmake-utils_src_compile docs
}
src_install() {
use doc && HTML_DOCS=("${CMAKE_BUILD_DIR}/apidox/")
cmake-utils_src_install
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.0f-r1.ebuild,v 1.5 2012/01/14 18:08:51 armin76 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.0f-r1.ebuild,v 1.6 2012/01/16 19:56:08 halcy0n Exp $
EAPI="4"
@ -14,7 +14,7 @@ SRC_URI="mirror://openssl/source/${P}.tar.gz
LICENSE="openssl"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ~ppc ~ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="bindist gmp kerberos rfc3779 sse2 static-libs test zlib"
# Have the sub-libs in RDEPEND with [static-libs] since, logically,

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/shared-desktop-ontologies/shared-desktop-ontologies-0.8.1.ebuild,v 1.3 2012/01/10 20:38:29 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/shared-desktop-ontologies/shared-desktop-ontologies-0.8.1.ebuild,v 1.4 2012/01/16 20:56:47 ago Exp $
EAPI=4
@ -15,7 +15,7 @@ DESCRIPTION="Shared OSCAF desktop ontologies"
HOMEPAGE="http://sourceforge.net/projects/oscaf"
if [[ ${PV} != *9999 ]]; then
SRC_URI="mirror://sourceforge/oscaf/${PN}/${P}.tar.bz2"
KEYWORDS="~amd64 ~arm ppc ~ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ppc ~ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
fi
LICENSE="|| ( BSD CCPL-Attribution-ShareAlike-3.0 )"

@ -1,4 +1,3 @@
DIST camlp5-5.14.tgz 685253 RMD160 0643a1fcf78d4848fd7090d105911dc43990eb66 SHA1 cae1cb1dfa506f640393c28d9b510a03f947ef9d SHA256 1b45413a3477ef6143ace5185122c162b765d86c6d963ab8bd2b771feda3baa5
DIST camlp5-6.02.3-patch-1.patch 38948 RMD160 e795fe6ddcc1e47e1ae71737c0ecd6039bd21c67 SHA1 4f9f0c50535248f41b8ff9ca4fd31712f0ae292e SHA256 fb709455672dbdab4e8cfa2a760e5d46c3c3ab6144748ebd38d6d603f2be3895
DIST camlp5-6.02.3.tgz 653958 RMD160 519d8d79c6de63c374ff43f8348b7791de9e9fa5 SHA1 eb0f4f9ade52c2c1e972d61b334bcf01fea76dfc SHA256 329f8e577a6f9ac749a0d6fd22acb8385ae17dda3942ba415e27846304e42bfd
DIST camlp5-6.03.tgz 659839 RMD160 2a2451cf38e2f061d25ee2c8e3eef57ca283a103 SHA1 9166ee6057caabda641be29152f28b1f58a3c830 SHA256 085e3cfaec319855e818f218b1d50ef1c0ca4742a40526f35cbc2b23df7acad5

@ -1,66 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/camlp5/camlp5-6.02.3_p1.ebuild,v 1.2 2011/12/18 17:33:47 armin76 Exp $
EAPI="2"
inherit multilib findlib eutils
MY_P=${P%_p*}
DESCRIPTION="A preprocessor-pretty-printer of ocaml"
HOMEPAGE="http://pauillac.inria.fr/~ddr/camlp5/"
SRC_URI="http://pauillac.inria.fr/~ddr/camlp5/distrib/src/${MY_P}.tgz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
IUSE="doc +ocamlopt"
DEPEND=">=dev-lang/ocaml-3.10[ocamlopt?]"
RDEPEND="${DEPEND}"
PATCHLEVEL=${PV#*_p}
PATCHLIST=""
if [ "${PATCHLEVEL}" != "${PV}" ] ; then
for i in $(seq 1 ${PATCHLEVEL}) ; do
SRC_URI="${SRC_URI}
http://pauillac.inria.fr/~ddr/camlp5/distrib/src/patch-${PV%_p*}-${i} -> ${MY_P}-patch-${i}.patch"
PATCHLIST="${PATCHLIST} ${MY_P}-patch-${i}.patch"
done
fi
S=${WORKDIR}/${MY_P}
src_prepare() {
for i in ${PATCHLIST} ; do
epatch "${DISTDIR}/${i}"
done
}
src_configure() {
./configure \
-prefix /usr \
-bindir /usr/bin \
-libdir /usr/$(get_libdir)/ocaml \
-mandir /usr/share/man || die "configure failed"
}
src_compile(){
emake || die "emake failed"
if use ocamlopt; then
emake opt || die "Compiling native code programs failed"
emake opt.opt || die "Compiling native code programs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
# findlib support
insinto "$(ocamlfind printconf destdir)/${PN}"
doins etc/META || die "failed to install META file for findlib support"
use doc && dohtml -r doc/*
dodoc CHANGES DEVEL ICHANGES README UPGRADING MODE
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/camlp5/camlp5-6.03.ebuild,v 1.1 2012/01/10 13:22:35 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ml/camlp5/camlp5-6.03.ebuild,v 1.2 2012/01/16 15:25:12 aballier Exp $
EAPI="2"
@ -23,7 +23,7 @@ PATCHLEVEL=${PV#*_p}
PATCHLIST=""
if [ "${PATCHLEVEL}" != "${PV}" ] ; then
for i in $(seq 1 ${PATCHLEVEL}) ; do
for (( i=1; i<=PATCHLEVEL; i++ )) ; do
SRC_URI="${SRC_URI}
http://pauillac.inria.fr/~ddr/camlp5/distrib/src/patch-${PV%_p*}-${i} -> ${MY_P}-patch-${i}.patch"
PATCHLIST="${PATCHLIST} ${MY_P}-patch-${i}.patch"

@ -1,3 +1,4 @@
DIST ocaml-make-6.29.3.tar.gz 38418 RMD160 8634b14b0a7e24c66b9d4dd7a72a5f09f901d237 SHA1 a1268abe16326d974da646b76fe9ad30ab9f3f05 SHA256 4cdb93c99960fb8fda59d34a99b6fbe5ecdc3cc90dbb1c373373bd89268e5159
DIST ocaml-make-6.30.0.tar.gz 38581 RMD160 74ee33dfd522b654cdd0118d53588a450ee8cd17 SHA1 8c5796fa4781e115cb5f62be4b2e4e4a70de0c2a SHA256 b9e57e8cfdc2ddf4b3ffebc2a503311a841c60443f5540c7587715ba2c8ba182
DIST ocaml-make-6.33.0.tar.gz 38794 RMD160 a86972d2259a408cdf669a262e9d2ab99cf4319f SHA1 f1979692ce3c279e9b92c2c42bc1d93ad0905952 SHA256 3054303ba04e4bbbe038e08310fabc3e5a0e3899bbba33d9ac5ed7a1b9d1e05a
DIST ocaml-make-6.34.0.tar.gz 38874 RMD160 63d14652db3a0d606935b614fce795688bb67a4d SHA1 991f2118f186e73a14ad698a6921e9ff77e03a63 SHA256 38135c040ed308ae07e86fd20ff00754bc974f643e11036bee767f475bf5f2aa

@ -0,0 +1,29 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/ocaml-make/ocaml-make-6.34.0.ebuild,v 1.1 2012/01/16 15:28:33 aballier Exp $
DESCRIPTION="Generic O'Caml Makefile for GNU Make"
HOMEPAGE="http://www.ocaml.info/home/ocaml_sources.html"
LICENSE="LGPL-2.1"
DEPEND=""
RDEPEND=">=dev-lang/ocaml-3.06-r1
>=dev-ml/findlib-0.8"
SRC_URI="http://www.ocaml.info/ocaml_sources/${P}.tar.gz"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="examples"
src_install () {
# Just put the OCamlMakefile into /usr/include
# where GNU Make will automatically pick it up.
insinto /usr/include
doins OCamlMakefile
# install documentation
dodoc README.txt Changelog
if use examples; then
insinto /usr/share/doc/${PF}
doins -r calc camlp4 gtk idl threads
fi
}

@ -2,3 +2,4 @@ DIST pcre-ocaml-6.1.1.tar.gz 60146 RMD160 6895b512490e48d3a0fbdae0a0504320aa8b37
DIST pcre-ocaml-6.2.2.tar.gz 60382 RMD160 836c495d291b7ca85f2c62f93ef78f08d54de310 SHA1 4d1844efbf1d20fb11a47b9b965b35176b40ebc7 SHA256 a0219044b20acb6f1c15ebf438cc780d814b72480c2d78511eadf6140ee8791a
DIST pcre-ocaml-6.2.3.tar.gz 60490 RMD160 293a46988d2b5c43b678edd40cf5b4dce480fc69 SHA1 baa7659687daab09330b22561bfcc2f8fbefca4b SHA256 5c5f1648ae0135f52df1dc45b49588079b548e84d5937334d6291c121f66af36
DIST pcre-ocaml-6.2.4.tar.gz 60602 RMD160 a2d9ae20ec656f0d9473e5663e072ffea8fa66c4 SHA1 b337f56f7a5de00eecb0c11df0ce81e2a6e50c16 SHA256 86af475849b8b75fa3dbdc05e8d2467941aa7431d2737a0a8c3536cf19173f2e
DIST pcre-ocaml-6.2.5.tar.gz 60724 RMD160 3cb71ae407e1396ab83fa08df9fcd41aacba817f SHA1 921094ba7a810a364c119d1099952551c90d19ec SHA256 f1774028a4525d22d1f4cf4ce0121c99d85a75aed7a498c3e8ab0f5e39888e47

@ -0,0 +1,44 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/pcre-ocaml/pcre-ocaml-6.2.5.ebuild,v 1.1 2012/01/16 15:30:34 aballier Exp $
EAPI="2"
inherit findlib eutils
DESCRIPTION="Perl Compatibility Regular Expressions for O'Caml"
HOMEPAGE="http://www.ocaml.info/home/ocaml_sources.html"
SRC_URI="http://www.ocaml.info/ocaml_sources/${P}.tar.gz"
LICENSE="LGPL-2.1"
RDEPEND=">=dev-lang/ocaml-3.10.2[ocamlopt?]
>=dev-libs/libpcre-4.5"
DEPEND="${RDEPEND}"
SLOT="0"
IUSE="examples +ocamlopt"
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
src_prepare() {
epatch "${FILESDIR}/${PN}-6.0.1-linkopts.patch"
}
src_compile() {
cd "${S}/lib"
emake byte-code-library || die "Failed to build byte code library"
if use ocamlopt; then
emake native-code-library || die "Failed to build native code library"
fi
}
src_install () {
export OCAMLFIND_INSTFLAGS="-optional"
findlib_src_install
# install documentation
dodoc README.txt Changelog
if use examples; then
insinto /usr/share/doc/${PF}
doins -r examples
fi
}

@ -1,2 +1,3 @@
DIST postgresql-ocaml-1.16.0.tar.gz 45541 RMD160 3addfb513f9593a7fc9e79377ab43221c828204f SHA1 411c7a08ff770137315ce93ae08b87274fd38a9e SHA256 ad59d33bf96f030bbc4ce612854518a13a497887a2f4be1f1f1d478a83086fa2
DIST postgresql-ocaml-1.17.0.tar.gz 45641 RMD160 b9f7179403d61489b0e815bee046d1d68bbc718e SHA1 ba0efd8544950ea9f4f726b7b95a0b5ffbad50e6 SHA256 a4f228be3c8eafead7efa3c4a5a98f7cf58aa7af15d05ea43cbef1eeafc6c205
DIST postgresql-ocaml-1.18.0.tar.gz 45820 RMD160 c896128f9edd39e45b39201742bb1d8d52562bc6 SHA1 8d0aa8ba2d21d706897fd169f0807d01193d6814 SHA256 ec52fd469cf06aabd67d79cadedc153492d4b398351d10ee01b532d377403840

@ -0,0 +1,42 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ml/postgresql-ocaml/postgresql-ocaml-1.18.0.ebuild,v 1.1 2012/01/16 15:32:01 aballier Exp $
EAPI="2"
inherit findlib eutils
IUSE="examples +ocamlopt"
DESCRIPTION="A package for ocaml that provides access to PostgreSQL databases."
SRC_URI="http://ocaml.info/ocaml_sources/${P}.tar.gz"
HOMEPAGE="http://ocaml.info/home/ocaml_sources.html#toc9"
DEPEND=">=dev-lang/ocaml-3.11[ocamlopt?]
dev-db/postgresql-base
dev-db/postgresql-server"
RDEPEND="${DEPEND}"
SLOT="0"
LICENSE="LGPL-2"
KEYWORDS="~amd64 ~ppc ~x86"
src_compile() {
cd "${S}/lib"
emake -j1 byte-code-library || die "failed to build byte code library"
if use ocamlopt; then
emake -j1 native-code-library || die "failed to built nativde code library"
fi
}
src_install () {
use ocamlopt || export OCAMLFIND_INSTFLAGS="-optional"
findlib_src_preinst
emake DESTDIR="${D}" install || die
dodoc AUTHORS Changelog README.txt
if use examples; then
insinto /usr/share/doc/${PF}
doins -r examples
fi
}

@ -1,8 +1,10 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTML_Template_Sigma/PEAR-HTML_Template_Sigma-1.2.0.ebuild,v 1.1 2009/08/26 21:00:56 beandog Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTML_Template_Sigma/PEAR-HTML_Template_Sigma-1.2.0-r1.ebuild,v 1.1 2012/01/16 18:11:08 mabi Exp $
inherit php-pear-r1 depend.php
EAPI=4
inherit php-pear-r1
DESCRIPTION="An implementation of Integrated Templates API with template 'compilation' added"
LICENSE="PHP-3.01"
@ -10,6 +12,4 @@ SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
pkg_setup() {
require_php_with_use ctype
}
DEPEND="dev-lang/php[ctype]"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/cvxopt/cvxopt-1.1.4.ebuild,v 1.1 2012/01/06 15:40:31 bicatali Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/cvxopt/cvxopt-1.1.4.ebuild,v 1.2 2012/01/16 20:35:26 bicatali Exp $
EAPI=4
@ -66,7 +66,7 @@ src_prepare(){
src_compile() {
distutils_src_compile
use doc && emake -C "${WORKDIR}"/doc -B "${WORKDIR}"/html
use doc && emake -C "${WORKDIR}"/${P}/doc -B html
}
src_test() {
@ -79,7 +79,7 @@ src_test() {
src_install() {
distutils_src_install
use doc && dohtml -r "${WORKDIR}"/${P}/html
use doc && dohtml -r "${WORKDIR}"/${P}/doc/build/html/*
insinto /usr/share/doc/${PF}
use examples && doins -r "${WORKDIR}"/${P}/examples
}

@ -0,0 +1 @@
DIST ammeter-0.2.2.gem 12288 RMD160 f441e8860f6bf89e217535267259bc9304d8ecd7 SHA1 b6da861a6b7090712694831f90e32474af12f046 SHA256 60a3e6cb4bba08606bb501b572933476462135adab6816efafd79ef415873af1

@ -0,0 +1,54 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/ammeter/ammeter-0.2.2.ebuild,v 1.1 2012/01/16 20:51:03 flameeyes Exp $
EAPI=4
USE_RUBY="ruby18 ree18"
#RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST="spec"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="Write specs for your Rails 3+ generators"
HOMEPAGE="https://github.com/alexrothenberg/ammeter"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
ruby_add_rdepend "
>=dev-ruby/activesupport-3.1
>=dev-ruby/railties-3.1
>=dev-ruby/rspec-2.2
>=dev-ruby/rspec-rails-2.2
"
ruby_add_bdepend "
test? (
dev-ruby/rails:3.1
dev-ruby/uglifier
dev-ruby/rake
dev-ruby/coffee-rails
dev-ruby/sass-rails
dev-ruby/jquery-rails
dev-util/cucumber
dev-util/aruba
dev-ruby/sqlite3-ruby
)"
all_ruby_prepare() {
# fix the gemspec; we remove the version dependencies from there, as
# it requires _older_ versions of its dependencies.. it doesn't
# really seem to be the case though. Also remove the references to
# git ls-files to avoid calling it.
sed -i \
-e '/git ls-files/d' \
-e '/\(cucumber\|aruba\)/s:,.*$::' \
${RUBY_FAKEGEM_GEMSPEC} || die
}

@ -0,0 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>ruby</herd>
</pkgmetadata>

@ -0,0 +1 @@
DIST mongoid-2.4.1.tar.gz 349062 RMD160 ae21401d8dea344a855d1d2fee96f959e9f24fb6 SHA1 70f9dadabb98dc6aadb1c2a46e8e7f1dd7b9bd0f SHA256 c16387c79cd058382f08c5cf127716cad7b7905d88b3bcfb5f211223ea9716e4

@ -0,0 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>ruby</herd>
</pkgmetadata>

@ -0,0 +1,55 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/mongoid/mongoid-2.4.1.ebuild,v 1.1 2012/01/16 20:54:15 flameeyes Exp $
EAPI=4
USE_RUBY="ruby18"
#RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_TASK_TEST="spec:unit"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
GITHUB_USER="${PN}"
GITHUB_PROJECT="${PN}"
RUBY_S="${GITHUB_USER}-${GITHUB_PROJECT}-*"
inherit ruby-fakegem
DESCRIPTION="http://mongoid.org/"
HOMEPAGE="ODM (Object Document Mapper) Framework for MongoDB"
SRC_URI="https://github.com/${GITHUB_USER}/${GITHUB_PROJECT}/tarball/v${PV} -> ${GITHUB_PROJECT}-${PV}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
# Testing requires a running system mongodb instance — and that's bad;
# instead restrict them for now; we'll get to it.
RESTRICT="test"
ruby_add_rdepend "
>=dev-ruby/activemodel-3.1
>=dev-ruby/mongo-1.3
>=dev-ruby/tzinfo-0.3.22
"
ruby_add_bdepend "
test? (
dev-ruby/ammeter
dev-ruby/mocha
dev-ruby/rdoc
dev-ruby/rspec
dev-util/watchr
)"
all_ruby_prepare() {
# remove references to bundler, as the gemfile does not add anything
# we need to care about.
sed -i -e '/[bB]undler/d' Rakefile || die
# remove the Gemfile as well or it'll try to load it during testing
rm Gemfile || die
}

@ -1 +1,2 @@
DIST spork-0.8.4.gem 30720 RMD160 3425ab3925abb04b39790a3c5598cf0e4a4171d0 SHA1 0c98f24633ce558f00c5a27bcc0e5eac242aa34d SHA256 3881d4c6c42a8f1f18929ffa5086293f624c26bf7b2e416ac71216200b8d406f
DIST spork-0.8.5.gem 30208 RMD160 a0bec65040c65e282e2c309f70de41934ea2c588 SHA1 9c2f25d580d166f256b6226a8a2bd94518eda9a4 SHA256 266a4ef1972e0ef972a79f6f78cc7d5b2cf79411579205082ad7b3a1f74a2f8d

@ -0,0 +1,45 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/spork/spork-0.8.5.ebuild,v 1.1 2012/01/16 18:25:38 graaff Exp $
EAPI=2
USE_RUBY="ruby18 ree18"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.rdoc"
RUBY_FAKEGEM_EXTRAINSTALL="assets"
inherit ruby-fakegem
DESCRIPTION="Spork is Tim Harper's implementation of test server."
HOMEPAGE="http://github.com/timcharper/spork"
LICENSE="MIT"
KEYWORDS="~amd64 ~x86"
SLOT="0"
IUSE=""
ruby_add_bdepend "dev-util/cucumber
>=dev-ruby/rspec-1.2.9:0
>=dev-ruby/rspec-rails-1.2.9
dev-util/cucumber-rails
>=dev-ruby/rails-2.3
>=dev-ruby/ruby-debug-0.10.3"
all_ruby_prepare() {
# Don't use deprecated name in feature file.
sed -i -e 's/Fonction/Fonctionnalité/' features/cucumber_rails_integration.feature || die
# Remove failing features when newer Rails versions are
# installed. This is fixed upstream, but only for the new beta
# versions and in a way that is too invasive to backport.
rm features/cucumber_rails_integration.feature \
features/rspec_rails_integration.feature \
features/rails_delayed_loading_workarounds.feature || die
}
each_ruby_test() {
${RUBY} -S spec spec || die
${RUBY} -Ilib -S cucumber features || die
}

@ -0,0 +1,85 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sqlite3-ruby/sqlite3-ruby-1.3.4-r1.ebuild,v 1.1 2012/01/16 18:41:00 flameeyes Exp $
EAPI=2
USE_RUBY="ruby18 ree18 ruby19"
RUBY_FAKEGEM_TASK_DOC="docs"
RUBY_FAKEGEM_DOCDIR="doc faq"
RUBY_FAKEGEM_EXTRADOC="API_CHANGES.rdoc README.rdoc ChangeLog.cvs CHANGELOG.rdoc"
RUBY_FAKEGEM_NAME="sqlite3"
inherit multilib ruby-fakegem
DESCRIPTION="An extension library to access a SQLite database from Ruby"
HOMEPAGE="http://rubyforge.org/projects/sqlite-ruby/"
LICENSE="BSD"
KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE=""
RDEPEND="${RDEPEND}
=dev-db/sqlite-3*"
DEPEND="${DEPEND}
=dev-db/sqlite-3*"
ruby_add_bdepend "
dev-ruby/rake-compiler
dev-ruby/hoe
test? ( virtual/ruby-test-unit )
doc? ( dev-ruby/redcloth )"
all_ruby_prepare() {
# We remove the vendor_sqlite3 rake task because it's used to
# bundle SQlite3 which we definitely don't want.
rm tasks/vendor_sqlite3.rake || die
sed -i -e 's:, HOE.spec::' -e '/task :test/d' tasks/native.rake || die
}
each_ruby_configure() {
${RUBY} -Cext/sqlite3 extconf.rb || die
}
each_ruby_compile() {
# TODO: not sure what happens with jruby
emake -Cext/sqlite3 || die
mv ext/sqlite3/sqlite3_native$(get_modname) lib/sqlite3/ || die
}
all_ruby_compile() {
all_fakegem_compile
if use doc; then
rake faq || die "rake faq failed"
fi
}
each_ruby_install() {
each_fakegem_install
# sqlite3 was called sqlite3-ruby before, so add a spec file that
# simply loads sqlite3 to make sure that old projects load correctly
cat - <<EOF > "${T}/sqlite3-ruby.gemspec"
# generated by ebuild
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/sqlite3-ruby/sqlite3-ruby-1.3.4-r1.ebuild,v 1.1 2012/01/16 18:41:00 flameeyes Exp $
Gem::Specification.new do |s|
s.name = "sqlite3-ruby"
s.version = "${RUBY_FAKEGEM_VERSION}"
s.summary = "Fake gem to load sqlite3"
s.homepage = "${HOMEPAGE}"
s.specification_version = 3
s.add_runtime_dependency("${RUBY_FAKEGEM_NAME}", ["= ${RUBY_FAKEGEM_VERSION}"])
end
EOF
RUBY_FAKEGEM_NAME=sqlite3-ruby \
RUBY_FAKEGEM_GEMSPEC="${T}/sqlite3-ruby.gemspec" \
ruby_fakegem_install_gemspec
# we don't even need to create a file to load this: the `require
# sqlite3` was already part of sqlite3-ruby requirements.
}

@ -0,0 +1 @@
DIST pkgconfig-openbsd-20120116.tar.xz 10092 RMD160 2941d7ee8a97c6ed69cf2da4924c4bd2023e8875 SHA1 79a09016d0e4ec7a95f21ca45e3709271f8fb62d SHA256 9da53242dbbb025739542cfca674f2453b8214a10fc48a74df5af2c8bd726ac5

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>ssuominen@gentoo.org</email>
<name>Samuli Suominen</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,44 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/pkgconfig-openbsd/pkgconfig-openbsd-20120116.ebuild,v 1.3 2012/01/17 00:46:08 ssuominen Exp $
# cvs -d anoncvs@anoncvs.openbsd.org:/cvs get src/usr.bin/pkg-config/pkg-config
# cvs -d anoncvs@anoncvs.openbsd.org:/cvs get src/usr.bin/pkg-config/pkg-config.1
# cvs -d anoncvs@anoncvs.openbsd.org:/cvs get src/usr.sbin/pkg_add/OpenBSD/PkgConfig.pm
EAPI=4
DESCRIPTION="A perl based version of pkg-config from OpenBSD"
HOMEPAGE="http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/pkg-config/ http://www.openbsd.org/cgi-bin/cvsweb/src/usr.sbin/pkg_add/OpenBSD/PkgConfig.pm"
SRC_URI="http://dev.gentoo.org/~ssuominen/${P}.tar.xz"
LICENSE="ISC"
SLOT="0"
KEYWORDS=""
IUSE=""
RDEPEND="dev-lang/perl
virtual/perl-Getopt-Long"
DEPEND=""
S=${WORKDIR}/src
src_prepare() {
# Config.pm from dev-lang/perl doesn't set ARCH, only archname
sed -i -e '/Config/s:ARCH:archname:' usr.bin/pkg-config/pkg-config || die
}
src_install() {
newbin usr.bin/pkg-config/pkg-config pkg-config-openbsd
newman usr.bin/pkg-config/pkg-config.1 pkg-config-openbsd.1
insinto /usr/share/${PN}/OpenBSD
doins usr.sbin/pkg_add/OpenBSD/PkgConfig.pm
cat <<-EOF > "${T}"/99${PN}
COLON_SEPARATED=PERL5LIB
PERL5LIB=/usr/share/${PN}
EOF
doenvd "${T}"/99${PN}
}

@ -1,2 +1 @@
DIST xfce4-dev-tools-4.8.0.tar.bz2 77707 RMD160 0a93a39ad132b61ce29fbbc8525ceb3baaf47496 SHA1 50b26c72444c750e4d0942b54746c0224561d4ee SHA256 7a1457e9dc839cb121a48e5c53c483ce02a3a5dbaf09376794a13bafe4194815
DIST xfce4-dev-tools-4.9.0.tar.bz2 281838 RMD160 6f41fcfb5455544eec7ef68d9bc1544e741e4853 SHA1 44faee73303cdbbccbbda253c69520da5ab20fca SHA256 0673328e2dadcf21c086f03231897e48c6147d01421be91d9e56aa09586b266a
DIST xfce4-dev-tools-4.9.1.tar.bz2 265176 RMD160 6e360844782dc5d78afd2225816e3efed28478a7 SHA1 ba309d1286a2be964613e3eb19b08e2aced97bcc SHA256 8eeb9c327b07350fd635212bbe6130b733039719e4358baf465141309def7b13

@ -1,50 +0,0 @@
From 56cde58238898e5659c39f5e713ee0362ba772d9 Mon Sep 17 00:00:00 2001
From: Nick Schermer <nick@xfce.org>
Date: Thu, 03 Nov 2011 18:27:32 +0000
Subject: Add support for LT_PREREQ (bug #6920).
Support LT_PREREQ as the new alternative of AC_PROG_LIBTOOL. If
the latter is used, show a message with information how to switch
to LT_PREREQ.
---
diff --git a/scripts/xdt-autogen.in.in b/scripts/xdt-autogen.in.in
index a7dbd3f..0ba203f 100644
--- a/scripts/xdt-autogen.in.in
+++ b/scripts/xdt-autogen.in.in
@@ -415,7 +415,25 @@ if test -z "${XDT_PROG_LIBTOOLIZE}"; then
fi
fi
for configure_ac_file in $CONFIGURE_AC_FILES; do
+ runlibtoolize=0
if grep -q "^AC_PROG_LIBTOOL" "${configure_ac_file}"; then
+ cat >&2 <<EOF
+xdt-autogen: It is recommended to use LT_PREREQ([2.2.6]) and
+ LT_INIT([disable-static]) in your configure.ac
+ file and remove AC_PROG_LIBTOOL and AC_DISABLE_STATIC.
+
+ See http://bugzilla.xfce.org/show_bug.cgi?id=6920 for
+ more information.
+
+EOF
+ runlibtoolize=1
+ fi;
+
+ if grep -q "^LT_PREREQ" "${configure_ac_file}"; then
+ runlibtoolize=1
+ fi;
+
+ if test $runlibtoolize -eq 1; then
(${XDT_PROG_LIBTOOLIZE} --version) </dev/null >/dev/null 2>&0 || {
cat >&2 <<EOF
xdt-autogen: You must have "libtool" installed on your system.
@@ -608,7 +626,7 @@ XGETTEXT_ARGS = @XGETTEXT_ARGS@
fi
fi
- if grep -q "^AC_PROG_LIBTOOL" "${configure_ac_file}"; then
+ if grep -q -e "^AC_PROG_LIBTOOL" -e "^LT_PREREQ" "${configure_ac_file}"; then
(echo "Running ${XDT_PROG_LIBTOOLIZE} --force --copy..." &&
cd "${source_dir}" &&
${XDT_PROG_LIBTOOLIZE} --force --copy) || exit 1
--
cgit

@ -1,20 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/xfce4-dev-tools/xfce4-dev-tools-4.9.0-r1.ebuild,v 1.1 2011/11/18 21:23:27 ssuominen Exp $
EAPI=4
inherit xfconf
DESCRIPTION="Xfce's build scripts and aclocal macros"
HOMEPAGE="http://www.xfce.org/ http://foo-projects.org/~benny/projects/xfce4-dev-tools/"
SRC_URI="mirror://xfce/src/xfce/${PN}/4.9/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x64-solaris"
IUSE=""
pkg_setup() {
PATCHES=( "${FILESDIR}"/${P}-update_libtool_syntax.patch )
DOCS=( AUTHORS ChangeLog HACKING NEWS README )
}

@ -1,19 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/xfce4-dev-tools/xfce4-dev-tools-4.9.0.ebuild,v 1.1 2011/10/15 11:53:50 angelos Exp $
EAPI=4
inherit xfconf
DESCRIPTION="Xfce's build scripts and aclocal macros"
HOMEPAGE="http://www.xfce.org/ http://foo-projects.org/~benny/projects/xfce4-dev-tools/"
SRC_URI="mirror://xfce/src/xfce/${PN}/4.9/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x64-solaris"
IUSE=""
pkg_setup() {
DOCS=( AUTHORS ChangeLog HACKING NEWS README )
}

@ -1,19 +1,23 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/xfce4-dev-tools/xfce4-dev-tools-4.8.0.ebuild,v 1.7 2011/05/19 22:30:31 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/xfce4-dev-tools/xfce4-dev-tools-4.9.1.ebuild,v 1.2 2012/01/16 21:12:21 ssuominen Exp $
EAPI=4
inherit xfconf
DESCRIPTION="Xfce's build scripts and aclocal macros"
DESCRIPTION="A set of scripts and m4/autoconf macros that ease build system maintenance"
HOMEPAGE="http://www.xfce.org/ http://foo-projects.org/~benny/projects/xfce4-dev-tools/"
SRC_URI="mirror://xfce/src/xfce/${PN}/4.8/${P}.tar.bz2"
SRC_URI="mirror://xfce/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~x64-solaris"
IUSE=""
RDEPEND=">=dev-libs/glib-2.18"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
pkg_setup() {
DOCS=( AUTHORS ChangeLog HACKING NEWS README )
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/flag-o-matic.eclass,v 1.167 2012/01/14 09:10:54 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/flag-o-matic.eclass,v 1.168 2012/01/16 20:03:32 vapier Exp $
# @ECLASS: flag-o-matic.eclass
# @MAINTAINER:
@ -347,13 +347,13 @@ strip-flags() {
test-flag-PROG() {
local comp=$1
local flags="$2"
local flag=$2
[[ -z ${comp} || -z ${flags} ]] && return 1
[[ -z ${comp} || -z ${flag} ]] && return 1
# use -c so we can test the assembler as well
local PROG=$(tc-get${comp})
${PROG} ${flags} -c -o /dev/null -xc /dev/null \
${PROG} "${flag}" -c -o /dev/null -xc /dev/null \
> /dev/null 2>&1
}

@ -8,7 +8,13 @@ CFLAGS="-a -b -c=1"
CXXFLAGS="-x -y -z=2"
LDFLAGS="-l -m -n=3"
ftend() {
tend $? "CFLAGS=${CFLAGS} CXXFLAGS=${CXXFLAGS} LDFLAGS=${LDFLAGS}"
local ret=$?
local msg="Failed; flags are:"
local flag
for flag in $(all-flag-vars) ; do
msg+=$'\n\t'"${flag}=${!flag}"
done
tend ${ret} "${msg}"
}
tbegin "is-flag"
@ -50,18 +56,16 @@ strip-unsupported-flags
[[ ${CFLAGS} == "" ]] && [[ ${CXXFLAGS} == "-z=2" ]]
ftend
for v in C CPP CXX F FC LD ; do
var="${v}FLAGS"
eval ${var}=\"-filter -filter-glob -${v}\"
for var in $(all-flag-vars) ; do
eval ${var}=\"-filter -filter-glob -${var%FLAGS}\"
done
tbegin "filter-flags basic"
filter-flags -filter
(
for v in C CPP CXX F FC LD ; do
var="${v}FLAGS"
for var in $(all-flag-vars) ; do
val=${!var}
[[ ${val} == "-filter-glob -${v}" ]] || exit 1
[[ ${val} == "-filter-glob -${var%FLAGS}" ]] || exit 1
done
)
ftend
@ -69,10 +73,9 @@ ftend
tbegin "filter-flags glob"
filter-flags '-filter-*'
(
for v in C CPP CXX F FC LD ; do
var="${v}FLAGS"
for var in $(all-flag-vars) ; do
val=${!var}
[[ ${val} == "-${v}" ]] || exit 1
[[ ${val} == "-${var%FLAGS}" ]] || exit 1
done
)
ftend
@ -95,4 +98,16 @@ replace-flags '-mcpu=*' -mcpu=good
[[ ${CXXFLAGS} == "-O0 -mcpu=good -cow" ]]
ftend
tbegin "append-cflags basic"
CFLAGS=
append-cflags -O0
[[ ${CFLAGS} == "-O0" ]]
ftend
tbegin "append-cflags -DFOO='a b c'"
CFLAGS=
append-cflags '-DFOO="a b c"'
[[ ${CFLAGS} == '-DFOO="a b c"' ]]
ftend
texit

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/xfconf.eclass,v 1.39 2011/12/27 17:55:13 fauli Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/xfconf.eclass,v 1.40 2012/01/16 21:14:13 ssuominen Exp $
# @ECLASS: xfconf.eclass
# @MAINTAINER:
@ -32,7 +32,7 @@ EGIT_BOOTSTRAP="autogen.sh"
EGIT_REPO_URI="git://git.xfce.org/xfce/${MY_PN:-${PN}}"
_xfconf_deps=""
_xfconf_m4=">=dev-util/xfce4-dev-tools-4.8.0 ${AUTOTOOLS_DEPEND}"
_xfconf_m4=">=dev-util/xfce4-dev-tools-4.9.1 ${AUTOTOOLS_DEPEND}"
[[ -n $_xfconf_live ]] && _xfconf_deps+=" dev-util/gtk-doc ${_xfconf_m4}"
[[ -n $EINTLTOOLIZE ]] && _xfconf_deps+=" dev-util/intltool"

@ -1,9 +1,10 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/d1x-rebirth/d1x-rebirth-0.55.1.ebuild,v 1.3 2010/03/09 12:33:33 abcd Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/d1x-rebirth/d1x-rebirth-0.55.1.ebuild,v 1.4 2012/01/16 18:58:56 ulm Exp $
EAPI=2
inherit eutils games
CDROM_DISABLE_PROPERTIES=1
inherit eutils cdrom games
DV=1
DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
@ -19,6 +20,7 @@ LICENSE="D1X GPL-2 as-is"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="cdinstall ipv6 linguas_de opengl timidity"
PROPERTIES="cdinstall? ( interactive )"
RDEPEND="virtual/opengl
virtual/glu

@ -1,9 +1,10 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/d1x-rebirth/d1x-rebirth-0.56.ebuild,v 1.2 2011/06/20 09:20:19 tupone Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/d1x-rebirth/d1x-rebirth-0.56.ebuild,v 1.3 2012/01/16 18:58:56 ulm Exp $
EAPI=2
inherit eutils scons-utils games
CDROM_DISABLE_PROPERTIES=1
inherit eutils cdrom scons-utils games
DV=1
DESCRIPTION="Descent Rebirth - enhanced Descent ${DV} engine"
@ -19,6 +20,7 @@ LICENSE="D1X GPL-2 as-is"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="cdinstall ipv6 linguas_de opengl timidity"
PROPERTIES="cdinstall? ( interactive )"
RDEPEND="opengl? ( virtual/opengl virtual/glu )
dev-games/physfs[hog,zip]

@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/descent2-data/descent2-data-1.0.ebuild,v 1.8 2010/02/10 03:46:25 josejx Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/descent2-data/descent2-data-1.0.ebuild,v 1.9 2012/01/16 19:03:03 ulm Exp $
inherit eutils games
inherit eutils cdrom games
MY_PV=${PV/./}
SOW="descent2.sow"

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r1.ebuild,v 1.16 2011/12/14 17:12:16 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/descent3/descent3-1.4.0b-r1.ebuild,v 1.17 2012/01/16 19:05:35 ulm Exp $
inherit eutils multilib games
inherit eutils cdrom multilib games
IUSE="nocd videos"
DESCRIPTION="Descent 3 - 3-Dimensional indoor/outdoor spaceship combat"
@ -14,7 +14,6 @@ LICENSE="LOKI-EULA"
SLOT="0"
KEYWORDS="amd64 x86"
RESTRICT="strip"
PROPERTIES="interactive"
DEPEND=""
RDEPEND="sys-libs/glibc

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/fakk2/fakk2-1.02.ebuild,v 1.18 2011/12/14 17:12:57 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/fakk2/fakk2-1.02.ebuild,v 1.19 2012/01/16 19:06:50 ulm Exp $
inherit eutils games
inherit eutils cdrom games
IUSE="nocd"
DESCRIPTION="Heavy Metal: FAKK2 - 3D third-person action shooter based on the Heavy Metal comics/movies"
@ -13,7 +13,6 @@ LICENSE="LOKI-EULA"
SLOT="0"
KEYWORDS="x86"
RESTRICT="strip"
PROPERTIES="interactive"
RDEPEND="virtual/opengl"

@ -1,9 +1,9 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/heavygear2/heavygear2-1.0b.ebuild,v 1.22 2011/01/24 21:52:12 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/heavygear2/heavygear2-1.0b.ebuild,v 1.23 2012/01/16 19:08:09 ulm Exp $
EAPI=2
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Heavy Gear II - 3D first-person Mechanized Assault"
HOMEPAGE="http://www.lokigames.com/products/heavy-gear2/"
@ -14,7 +14,6 @@ SLOT="0"
KEYWORDS="x86"
IUSE="3dfx videos"
RESTRICT="strip"
PROPERTIES="interactive"
DEPEND="games-util/loki_patch"
RDEPEND="media-libs/freetype:1

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/heretic2/heretic2-1.06c.ebuild,v 1.9 2011/12/14 17:13:02 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/heretic2/heretic2-1.06c.ebuild,v 1.10 2012/01/16 20:15:22 ulm Exp $
inherit eutils multilib games
inherit eutils cdrom multilib games
DESCRIPTION="Third-person classic magical action-adventure game"
HOMEPAGE="http://lokigames.com/products/heretic2/
@ -16,7 +16,6 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
RESTRICT="strip"
PROPERTIES="interactive"
QA_TEXTRELS="${GAMES_PREFIX_OPT:1}/${PN}/base/*.so"
DEPEND="games-util/loki_patch"

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/postalplus/postalplus-1.ebuild,v 1.4 2011/12/14 17:13:13 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/postalplus/postalplus-1.ebuild,v 1.5 2012/01/16 19:09:15 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Ultraviolent and controversial game featuring the Postal Dude"
HOMEPAGE="http://www.lokigames.com/products/postal/"
@ -13,7 +13,6 @@ SLOT="0"
KEYWORDS="~x86"
IUSE=""
RESTRICT="strip"
PROPERTIES="interactive"
S=${WORKDIR}

@ -1,9 +1,9 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild,v 1.10 2010/09/01 21:30:37 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-action/rune/rune-1.07-r2.ebuild,v 1.11 2012/01/16 19:10:25 ulm Exp $
EAPI=2
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Viking hack and slay game"
HOMEPAGE="http://www.runegame.com"
@ -12,7 +12,6 @@ SRC_URI="mirror://gentoo/rune-all-0.2.tar.bz2"
LICENSE="LOKI-EULA"
SLOT="0"
KEYWORDS="amd64 x86"
PROPERTIES="interactive"
RESTRICT="strip"
IUSE=""

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-data/doom3-data-1.1.1282-r1.ebuild,v 1.7 2011/12/14 17:18:23 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-data/doom3-data-1.1.1282-r1.ebuild,v 1.8 2012/01/16 19:12:07 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Doom 3 - data portion"
HOMEPAGE="http://www.doom3.com/"
@ -12,7 +12,6 @@ LICENSE="DOOM3"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE=""
PROPERTIES="interactive"
RDEPEND="games-fps/doom3"

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-roe/doom3-roe-1.ebuild,v 1.13 2011/12/14 17:20:00 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-roe/doom3-roe-1.ebuild,v 1.14 2012/01/16 19:13:03 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Doom III: Resurrection of Evil expansion pack"
HOMEPAGE="http://www.doom3.com/"
@ -12,7 +12,6 @@ LICENSE="DOOM3"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE=""
PROPERTIES="interactive"
RESTRICT="strip"
RDEPEND=">=games-fps/doom3-1.3.1302-r2"

@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/duke3d-data/duke3d-data-1.0.ebuild,v 1.5 2010/04/26 11:55:23 fauli Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/duke3d-data/duke3d-data-1.0.ebuild,v 1.6 2012/01/16 19:14:34 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Duke Nukem 3D data files"
HOMEPAGE="http://www.3drealms.com/"
@ -12,7 +12,6 @@ LICENSE="DUKE3D"
SLOT="0"
KEYWORDS="hppa ppc x86"
IUSE=""
PROPERTIES="interactive"
DEPEND=""
RDEPEND="games-fps/duke3d"

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/etqw-data/etqw-data-1.0.ebuild,v 1.6 2011/12/14 17:20:29 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/etqw-data/etqw-data-1.0.ebuild,v 1.7 2012/01/16 20:17:04 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Enemy Territory: Quake Wars data files"
HOMEPAGE="http://zerowing.idsoftware.com/linux/etqw/"
@ -12,7 +12,6 @@ LICENSE="ETQW"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE="videos"
PROPERTIES="interactive"
S=${WORKDIR}

@ -1,9 +1,9 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/postal2/postal2-1409.2-r1.ebuild,v 1.4 2011/12/14 17:21:37 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/postal2/postal2-1409.2-r1.ebuild,v 1.5 2012/01/16 20:18:03 ulm Exp $
EAPI=2
inherit eutils multilib games
inherit eutils cdrom multilib games
DESCRIPTION="Postal 2: Share the Pain"
HOMEPAGE="http://www.linuxgamepublishing.com/info.php?id=postal2"
@ -15,7 +15,6 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
RESTRICT="strip"
PROPERTIES="interactive"
DEPEND="games-util/loki_patch"
RDEPEND="sys-libs/glibc

@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake1-data/quake1-data-2.40.ebuild,v 1.15 2010/03/18 03:45:43 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake1-data/quake1-data-2.40.ebuild,v 1.16 2012/01/16 19:17:40 ulm Exp $
# TODO: if installing off of the 1.01 cd, need to fetch the
# quake shareware and use that pak0
@ -8,7 +8,7 @@
# ftp://ftp.cdrom.com/pub/idgames/idstuff/quake/quake106.zip
EAPI=2
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="iD Software's Quake 1 ... the data files"
HOMEPAGE="http://www.idsoftware.com/games/quake/quake/"
@ -18,7 +18,6 @@ LICENSE="as-is"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""
PROPERTIES="interactive"
DEPEND="app-arch/lha"
RDEPEND=""
@ -51,7 +50,7 @@ src_unpack() {
}
src_install() {
insinto ${GAMES_DATADIR}/quake1/id1
insinto "${GAMES_DATADIR}"/quake1/id1
case ${CDROM_SET} in
0) doins "${CDROM_ROOT}"/id1/* || die "doins pak files"
dodoc "${CDROM_ROOT}"/*.txt

@ -1,9 +1,9 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake2-data/quake2-data-3.20.ebuild,v 1.25 2010/01/25 22:34:52 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake2-data/quake2-data-3.20.ebuild,v 1.26 2012/01/16 19:20:15 ulm Exp $
EAPI=2
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="iD Software's Quake 2 ... the data files"
HOMEPAGE="http://www.idsoftware.com/"
@ -13,7 +13,6 @@ LICENSE="Q2EULA"
SLOT="0"
KEYWORDS="~alpha amd64 ppc sparc x86 ~x86-fbsd"
IUSE="videos"
PROPERTIES="interactive"
DEPEND="app-arch/unzip"
RDEPEND=""
@ -54,14 +53,14 @@ src_install() {
3) baseq2_cdpath=${CDROM_ROOT}/setup/Data/baseq2;;
esac
dodir ${GAMES_DATADIR}/quake2/baseq2
dodir "${GAMES_DATADIR}"/quake2/baseq2
if use videos ; then
insinto ${GAMES_DATADIR}/quake2/baseq2/video
insinto "${GAMES_DATADIR}"/quake2/baseq2/video
doins "${baseq2_cdpath}"/video/* || die "doins videos"
fi
insinto ${GAMES_DATADIR}/quake2/baseq2
insinto "${GAMES_DATADIR}"/quake2/baseq2
doins "${baseq2_cdpath}"/pak0.pak || die "couldnt grab pak0.pak"
doins baseq2/*.pak || die "couldnt grab release paks"
doins baseq2/maps.lst || die "couldnt grab maps.lst"
@ -72,11 +71,11 @@ src_install() {
for mod in ctf rogue xatrix ; do
if [[ -d ${baseq2_cdpath}/../${mod} ]] ; then
if use videos && [[ -d ${baseq2_cdpath}/../${mod}/video ]] ; then
insinto ${GAMES_DATADIR}/quake2/${mod}/video
insinto "${GAMES_DATADIR}"/quake2/${mod}/video
doins "${baseq2_cdpath}"/../${mod}/video/* 2>/dev/null
fi
if [[ -n $(ls "${baseq2_cdpath}"/../${mod}/*.pak 2>/dev/null) ]] ; then
insinto ${GAMES_DATADIR}/quake2/${mod}
insinto "${GAMES_DATADIR}"/quake2/${mod}
doins "${baseq2_cdpath}"/../${mod}/*.pak || die "doins ${mod} pak"
fi
fi

@ -1,8 +1,9 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake3-data/quake3-data-1.32b.ebuild,v 1.15 2009/06/24 19:36:01 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake3-data/quake3-data-1.32b.ebuild,v 1.16 2012/01/16 19:22:07 ulm Exp $
inherit eutils games
CDROM_DISABLE_PROPERTIES=1
inherit eutils cdrom games
DESCRIPTION="Quake III Arena - data portion"
HOMEPAGE="http://icculus.org/quake3/"

@ -1,8 +1,9 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake3-teamarena/quake3-teamarena-1.32b.ebuild,v 1.8 2010/02/16 14:50:03 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake3-teamarena/quake3-teamarena-1.32b.ebuild,v 1.9 2012/01/16 19:23:30 ulm Exp $
inherit eutils games
CDROM_DISABLE_PROPERTIES=1
inherit eutils cdrom games
DESCRIPTION="Quake III Team Arena - data portion"
HOMEPAGE="http://icculus.org/quake3/"

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake4-data/quake4-data-1.0.2147.12.ebuild,v 1.12 2011/12/14 17:24:17 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/quake4-data/quake4-data-1.0.2147.12.ebuild,v 1.13 2012/01/16 19:24:33 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="sequel to Quake 2, an id 3D first-person shooter"
HOMEPAGE="http://www.quake4game.com/"
@ -12,7 +12,6 @@ LICENSE="QUAKE4"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE=""
PROPERTIES="interactive"
RESTRICT="strip"
DEPEND="app-arch/bzip2

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/soldieroffortune/soldieroffortune-1.06a.ebuild,v 1.27 2011/12/14 17:27:16 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/soldieroffortune/soldieroffortune-1.06a.ebuild,v 1.28 2012/01/16 19:25:38 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="First-person shooter based on the mercenary trade"
HOMEPAGE="http://www.lokigames.com/products/sof/"
@ -12,7 +12,6 @@ LICENSE="LOKI-EULA"
SLOT="0"
KEYWORDS="amd64 x86"
RESTRICT="strip"
PROPERTIES="interactive"
IUSE=""
DEPEND="sys-libs/glibc

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/tribes2/tribes2-25034.ebuild,v 1.21 2011/12/14 17:27:48 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/tribes2/tribes2-25034.ebuild,v 1.22 2012/01/16 19:27:02 ulm Exp $
inherit eutils games
inherit eutils cdrom games
IUSE=""
DESCRIPTION="Tribes 2 - Team Combat on an Epic Scale"
@ -17,7 +17,6 @@ SLOT="0"
# someone does fix the patching.
KEYWORDS="-amd64 x86"
RESTRICT="mirror strip"
PROPERTIES="interactive"
DEPEND="sys-libs/glibc
games-util/loki_patch"

@ -1,8 +1,8 @@
# Copyright 1999-2007 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal-tournament-goty/unreal-tournament-goty-436.ebuild,v 1.13 2007/03/12 15:27:03 genone Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal-tournament-goty/unreal-tournament-goty-436.ebuild,v 1.14 2012/01/16 19:31:33 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Futuristic FPS (Game Of The Year edition)"
HOMEPAGE="http://www.unrealtournament.com/"

@ -1,8 +1,8 @@
# Copyright 1999-2007 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal-tournament-goty/unreal-tournament-goty-451.ebuild,v 1.16 2007/03/12 15:27:03 genone Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal-tournament-goty/unreal-tournament-goty-451.ebuild,v 1.17 2012/01/16 19:31:33 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Futuristic FPS (Game Of The Year edition)"
HOMEPAGE="http://www.unrealtournament.com/"
@ -59,9 +59,9 @@ src_install() {
dosed "s:\`FindPath \$0\`:${dir}:" "${dir}"/ucc
# export some symlinks so ppl can run
dodir ${GAMES_BINDIR}
dosym "${dir}"/ucc ${GAMES_BINDIR}/ucc
dosym "${dir}"/ut ${GAMES_BINDIR}/ut
dodir "${GAMES_BINDIR}"
dosym "${dir}"/ucc "${GAMES_BINDIR}"/ucc
dosym "${dir}"/ut "${GAMES_BINDIR}"/ut
### PRE ###
###########

@ -1,8 +1,8 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal-tournament/unreal-tournament-451.ebuild,v 1.26 2009/06/29 16:41:17 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal-tournament/unreal-tournament-451.ebuild,v 1.27 2012/01/16 19:29:13 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Futuristic FPS"
HOMEPAGE="http://www.unrealtournament.com/ http://utpg.org/"

@ -1,8 +1,8 @@
# Copyright 1999-2006 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal/unreal-226.ebuild,v 1.16 2006/12/05 18:06:26 wolf31o2 Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/unreal/unreal-226.ebuild,v 1.17 2012/01/16 19:28:12 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Futuristic FPS (a hack that runs on top of Unreal Tournament)"
HOMEPAGE="http://www.unreal.com/ http://icculus.org/~chunky/ut/unreal/"

@ -1,8 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/ut2003-data/ut2003-data-2107.ebuild,v 1.10 2010/12/16 19:19:51 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/ut2003-data/ut2003-data-2107.ebuild,v 1.11 2012/01/16 19:32:45 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Unreal Tournament 2003 - Sequel to the 1999 Game of the Year multi-player first-person shooter"
HOMEPAGE="http://www.unrealtournament2003.com/"

@ -1,8 +1,8 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/ut2004-data/ut2004-data-3186-r4.ebuild,v 1.4 2011/09/25 20:07:14 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/ut2004-data/ut2004-data-3186-r4.ebuild,v 1.5 2012/01/16 19:34:13 ulm Exp $
inherit eutils portability games
inherit eutils cdrom portability games
DESCRIPTION="Unreal Tournament 2004 - This is the data portion of UT2004"
HOMEPAGE="http://www.unrealtournament2004.com/"
@ -12,7 +12,6 @@ LICENSE="ut2003"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
PROPERTIES="interactive"
DEPEND="games-util/uz2unpack
>=app-arch/unshield-0.5-r1"

@ -1,8 +1,8 @@
# Copyright 1999-2008 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/coldwar/coldwar-1.0.1.ebuild,v 1.2 2008/02/29 19:41:25 carlo Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/coldwar/coldwar-1.0.1.ebuild,v 1.3 2012/01/16 19:37:54 ulm Exp $
inherit eutils versionator games
inherit eutils cdrom versionator games
PV_MAJOR=$(get_version_component_range 1-2)
MY_P=${PN}-${PV_MAJOR}-${PV}

@ -1,8 +1,9 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/darwinia/darwinia-1.3.0.ebuild,v 1.12 2011/12/14 17:34:34 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/darwinia/darwinia-1.3.0.ebuild,v 1.13 2012/01/16 19:41:13 ulm Exp $
inherit eutils games
CDROM_DISABLE_PROPERTIES=1
inherit eutils cdrom games
DESCRIPTION="the hyped indie game of the year. By the Uplink creators."
HOMEPAGE="http://www.darwinia.co.uk/support/linux.html"
@ -13,7 +14,7 @@ SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE="cdinstall"
RESTRICT="mirror strip"
PROPERTIES="interactive"
PROPERTIES="cdinstall? ( interactive )"
RDEPEND="
sys-libs/glibc

@ -1,8 +1,9 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/darwinia/darwinia-1.4.0_beta9.ebuild,v 1.9 2011/12/14 17:34:34 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/darwinia/darwinia-1.4.0_beta9.ebuild,v 1.10 2012/01/16 19:41:13 ulm Exp $
inherit eutils games
CDROM_DISABLE_PROPERTIES=1
inherit eutils cdrom games
MY_PV=${PV/_beta/b}
DESCRIPTION="the hyped indie game of the year. By the Uplink creators."
@ -14,7 +15,7 @@ SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="cdinstall"
RESTRICT="mirror strip"
PROPERTIES="interactive"
PROPERTIES="cdinstall? ( interactive )"
RDEPEND="
sys-libs/glibc

@ -1,8 +1,8 @@
# Copyright 1999-2007 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/dominions2/dominions2-2.16.ebuild,v 1.8 2008/02/29 19:47:05 carlo Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/dominions2/dominions2-2.16.ebuild,v 1.9 2012/01/16 19:43:07 ulm Exp $
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Dominions 2: The Ascension Wars is an epic turn-based fantasy strategy game"
HOMEPAGE="http://www.shrapnelgames.com/Illwinter/d2/"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/heroes3/heroes3-1.3.1a-r2.ebuild,v 1.13 2011/12/14 17:34:28 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/heroes3/heroes3-1.3.1a-r2.ebuild,v 1.14 2012/01/16 19:44:05 ulm Exp $
# [x] Base Install Required (+4 MB)
# [x] Scenarios (+7 MB)
@ -16,7 +16,7 @@ LANGPACKBASE="http://babelize.org/download/"
LANGPACKPATHPREFIX="${LANGPACKBASE}/${LANGPACKPREFIX}"
LANGPACKVERSION=1.0.4
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Heroes of Might and Magic III : The Restoration of Erathia - turn-based 2-D medieval combat"
HOMEPAGE="http://www.lokigames.com/products/heroes3/"
@ -39,7 +39,6 @@ IUSE="nocd maps music sounds videos"
#linguas_en linguas_es linguas_pl linguas_de"
KEYWORDS="~ppc x86"
RESTRICT="strip"
PROPERTIES="interactive"
DEPEND="=dev-util/xdelta-1*
games-util/loki_patch"

@ -1,9 +1,9 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/smac/smac-6.0a.ebuild,v 1.20 2009/11/25 08:37:59 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/smac/smac-6.0a.ebuild,v 1.21 2012/01/16 19:45:16 ulm Exp $
EAPI=2
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Linux port of the popular strategy game from Firaxis"
HOMEPAGE="http://www.lokigames.com/products/smac/"

@ -1,9 +1,9 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/wargus/wargus-2.2.5.5.ebuild,v 1.5 2011/12/21 18:46:00 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/wargus/wargus-2.2.5.5.ebuild,v 1.6 2012/01/16 19:46:14 ulm Exp $
EAPI=2
inherit eutils games
inherit eutils cdrom games
DESCRIPTION="Warcraft II for the Stratagus game engine (Needs WC2 DOS CD)"
HOMEPAGE="http://wargus.sourceforge.net/"

@ -1,9 +1,9 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-strategy/x2/x2-1.4.05.ebuild,v 1.4 2011/10/19 21:43:56 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/games-strategy/x2/x2-1.4.05.ebuild,v 1.5 2012/01/16 19:47:16 ulm Exp $
EAPI=2
inherit eutils games
inherit eutils cdrom games
MY_PV="1.4.04-${PV}"
MY_UPD="http://updatefiles.linuxgamepublishing.com/${PN}"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save